Bug 207967 - [MAINTAINER UPDATE]: sysutils/slurm-wlm upgrade to 15.08.8
Summary: [MAINTAINER UPDATE]: sysutils/slurm-wlm upgrade to 15.08.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-14 05:59 UTC by Joseph Mingrone
Modified: 2016-03-17 16:39 UTC (History)
1 user (show)

See Also:


Attachments
patch to upgrade sysutils/slurm-wlm to the latest supported version (7.85 KB, patch)
2016-03-14 05:59 UTC, Joseph Mingrone
no flags Details | Diff
patch to upgrade sysutils/slurm-wlm to the latest supported version (8.10 KB, patch)
2016-03-14 06:12 UTC, Joseph Mingrone
jrm: maintainer-approval+
Details | Diff
patch to upgrade sysutils/slurm-wlm to the latest supported version (9.68 KB, patch)
2016-03-14 07:01 UTC, Joseph Mingrone
jrm: maintainer-approval+
Details | Diff
patch to upgrade sysutils/slurm-wlm to the latest supported version (9.28 KB, patch)
2016-03-14 17:29 UTC, Joseph Mingrone
jrm: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Mingrone freebsd_committer 2016-03-14 05:59:30 UTC
Created attachment 168126 [details]
patch to upgrade sysutils/slurm-wlm to the latest supported version

portlint: OK
testport: OK (poudriere: 10.1-RELEASE-p17, amd64, all options on/off)
testport: OK (poudriere: 10.1-RELEASE-p17, i386,  all options on/off))
testport: OK (poudriere: 9.3-RELEASE-p30,  amd64, all options on/off))
testport: OK (poudriere: 9.3-RELEASE-p36,  i386,  all options on/off))
Comment 1 Joseph Mingrone freebsd_committer 2016-03-14 06:12:16 UTC
Created attachment 168127 [details]
patch to upgrade sysutils/slurm-wlm to the latest supported version

I forgot to remove files/pty.h, which is not longer necessary.
Comment 2 Joseph Mingrone freebsd_committer 2016-03-14 07:01:13 UTC
Created attachment 168128 [details]
patch to upgrade sysutils/slurm-wlm to the latest supported version

Add a helpful note in the example configuration file.
Comment 3 Joseph Mingrone freebsd_committer 2016-03-14 17:29:15 UTC
Created attachment 168160 [details]
patch to upgrade sysutils/slurm-wlm to the latest supported version

The patch to add pty.h is, after all, still necessary.
Comment 4 commit-hook freebsd_committer 2016-03-17 16:39:18 UTC
A commit references this bug:

Author: feld
Date: Thu Mar 17 16:39:05 UTC 2016
New revision: 411292
URL: https://svnweb.freebsd.org/changeset/ports/411292

Log:
  sysutils/slurm-wlm: Update to 15.08.8

  Changelog:	https://github.com/SchedMD/slurm/blob/921064fefd9cb3ea3e997e0f79a3c016c8d30c7c/RELEASE_NOTES

  PR:		207967

Changes:
  head/sysutils/slurm-wlm/Makefile
  head/sysutils/slurm-wlm/distinfo
  head/sysutils/slurm-wlm/files/patch-src-plugins-acct_gather_filesystem-lustre-acct_gather_filesystem_lustre.c
  head/sysutils/slurm-wlm/files/slurm.conf.example
  head/sysutils/slurm-wlm/pkg-descr
  head/sysutils/slurm-wlm/pkg-plist
Comment 5 Mark Felder freebsd_committer 2016-03-17 16:39:26 UTC
Committed, thanks!